import c4d
# This script brings selected object's material in node editor
# by Burak Ozdelice

def main():
    materials=doc.GetMaterials()
    obj =doc.GetActiveObject()

    if not obj:
        c4d.gui.MessageDialog("Please select an object or a material tag.")
        return

    objMaterial= obj.GetTag(c4d.Ttexture)
    if objMaterial == None:
        c4d.gui.MessageDialog("Selected object has not a material tag.")
        
    c4d.CallButton(objMaterial.GetMaterial(), c4d.OCT_MATERIAL_NODE_EDITOR)
    
    c4d.EventAdd()
if __name__=='__main__':
    main()    